Index: main/file.c
===================================================================
--- main/file.c	(revision 100095)
+++ main/file.c	(working copy)
@@ -484,15 +484,18 @@
 	}
 	if (buf == NULL)
 		return 0;
-	buf[0] = '\0';
 	for (;;) {
+		buf[0] = '\0';
 		if (ast_language_is_prefix) { /* new layout */
 			if (langlen) {
 				strcpy(buf, preflang);
 				buf[langlen] = '/';
 				strcpy(buf + langlen + 1, filename);
-			} else
-				strcpy(buf, filename);	/* first copy the full string */
+			} else {
+				strcpy(buf, "en"); /* English - fallback if no file found in prefered language */
+				buf[2] = '/';
+				strcpy(buf + 3, filename);
+			}
 		} else { /* old layout */
 			strcpy(buf, filename);	/* first copy the full string */
 			if (langlen) {
